package com.engine.attendance.attendanceanalysis.service;

import java.util.List;
import java.util.Map;

/**
 * 旷工、早退、迟到service
 */
public interface AbnormalAttendanceService {
    /**
     *  全天旷工
     * @param params
     * @return
     */
    Map<String,Object>  fullDayAbsenteeism(Map<String,Object> params);

    /**
     * 迟到
     * @param params
     * @return
     */
    List<Map<String,Object>> beLate(Map<String,Object> params);

    /**
     * 早退
     * @param params
     * @return
     */
    List<Map<String,Object>> leaveEarly(Map<String,Object> params);
}
